#include <bits/stdc++.h>


using std::cout;
using std::cin;

int n, k, x, c;

int main()
{
    std::ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    scanf("%d%d%d", &n, &k, &x);

    printf("%d ", -1);
    return 0;
}